/*
 * @file
 * Page title styling.
 */

.page-title {
  margin-bottom: 0;
  font-size: var(--title-size);
  font-weight: var(--title-weight);
  line-height: var(--title-line-height);
  letter-spacing: var(--title-letter-spacing);
  font-family: var(--title-font-family);
}

.shortcut-wrapper {
  &[class]:has(.page-title) { /* Extra specificity to appear above base theme's page-title.css. */
    margin-block: 0;
  }

  &:has(.page-title.heading--centered) {
    max-width: 1000px;
    margin-inline: auto;
    text-align: center;
  }

  .page-title {
    display: inline;
  }
}

.shortcut-action {
  position: relative; /* Anchor .shortcut-action__message */
}

.shortcut-action__message {
  display: none;
  position: absolute;
  inset-inline-start: 100%;
  top: 0;
  width: max-content;

  .shortcut-action:hover &,
  .shortcut-action:focus & {
    display: block;
  }
}
